Package twisted :: Package web :: Module widgets

[show private | hide private]
[frames | no frames]

## Module twisted.web.widgets

Classes
`Container` |
`DataWidget` |
`Form` | I am a web form.
`Gadget` | I am a collection of Widgets, to be rendered through a Page Factory.
`Page` |
`Presentation` | I am a widget which formats a template with interspersed python expressions.
`Reloader` |
`RenderSession` | I handle rendering of a list of deferreds, outputting their results in correct order.
`Sidebar` |
`StreamWidget` | A 'streamable' component of a webpage.
`Time` |
`TitleBox` |
`Widget` | A component of a web page.
`WidgetMixin` | A mix-in wrapper for a Widget.
`WidgetPage` | I am a Page that takes a Widget in its constructor, and displays that Widget wrapped up in a simple HTML template.
`WidgetResource` |
`_RequestDeferral` |

Exceptions
`FormInputError` |

Function Summary
| ``htmlFor_checkbox`(write, name, value)` A checkbox.
| ``htmlFor_checkgroup`(write, name, value)` A check-group.
| `htmlFor_file(write, name, value)`
| `htmlFor_hidden(write, name, value)`
| ``htmlFor_menu`(write, name, value, allowMultiple)` Value of the format [(optionName, displayName[, selected]), ...]
| ``htmlFor_multimenu`(write, name, value)` Value of the format [(optionName, displayName[, selected]), ...]
| `htmlFor_password(write, name, value)`
| ``htmlFor_radio`(write, name, value)` A radio button group.
| `htmlFor_string(write, name, value)`
| `htmlFor_text(write, name, value)`
| `listify(x)`
| `possiblyDeferWidget(widget, request)`
| `_ellipsize(x)`

Variable Summary
`int` | `False`
`int` | `FORGET_IT`
`dictionary` | `htmlReprTypes`
`int` | `NOT_DONE_YET`
`int` | `True`

Function Details

### htmlFor_checkbox(write, name, value)

A checkbox.

### htmlFor_checkgroup(write, name, value)

A check-group.

### htmlFor_menu(write, name, value, allowMultiple=0)

Value of the format [(optionName, displayName[, selected]), ...]

### htmlFor_multimenu(write, name, value)

Value of the format [(optionName, displayName[, selected]), ...]

### htmlFor_radio(write, name, value)

A radio button group.

Variable Details

### False

  Type:
    `int`
  Value:

        0

### FORGET_IT

  Type:
    `int`
  Value:

        99

### htmlReprTypes

  Type:
    `dictionary`
  Value:

        {<type 'instance'>: <function htmlInst at 0x82fef94>,
         <type 'function'>: <function htmlFunc at 0x837183c>,
         <type 'list'>: <function htmlList at 0x82fef5c>,
         <type 'dictionary'>: <function htmlDict at 0x82fef24>,
         <type 'string'>: <function htmlString at 0x8406f7c>}

### NOT_DONE_YET

  Type:
    `int`
  Value:

        1

### True

  Type:
    `int`
  Value:

        1

Generated by Epydoc 1.1 on Sat Feb 15 21:19:29 2003 | http://epydoc.sf.net